import styled, { css } from 'styled-components';

const style: Record<string, any> = {
  textfield: '',
  checkbox: css`
    border-radius: 8px;
  `,
  radio: css`
    border-radius: 100%;
  `,
};

export const TextBox = styled.div<{ type: string }>`
  width: 100%;
  height: 100%;
  background-color: rgba(51, 190, 219, 0.3);
  font-size: 1.3rem;
  color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;

  ${props => style[props.type]}
`;

export default TextBox;
